package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 节气时令对象 FmsSolar
 * 
 * @author 杨晓辉
 * @date 2023-06-01
 */
public class FmsSolar extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 节气标识 */
    private String solarId;

    /** 节气名称 */
    @Excel(name = "节气名称")
    private String solarName;

    /** 节气内容 */
    @Excel(name = "节气内容")
    private String solarRemark;

    /** 节气开始时间 */
    @Excel(name = "节气开始时间")
    private String solarStartdate;

    /** 摘要 */
    @Excel(name = "摘要")
    private String solarDigest;

    public void setSolarId(String solarId)
    {
        this.solarId = solarId;
    }

    public String getSolarId()
    {
        return solarId;
    }
    public void setSolarName(String solarName)
    {
        this.solarName = solarName;
    }

    public String getSolarName()
    {
        return solarName;
    }
    public void setSolarRemark(String solarRemark)
    {
        this.solarRemark = solarRemark;
    }

    public String getSolarRemark()
    {
        return solarRemark;
    }
    public void setSolarStartdate(String solarStartdate)
    {
        this.solarStartdate = solarStartdate;
    }

    public String getSolarStartdate()
    {
        return solarStartdate;
    }
    public void setSolarDigest(String solarEnddate)
    {
        this.solarDigest = solarEnddate;
    }

    public String getSolarDigest()
    {
        return solarDigest;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("solarId", getSolarId())
            .append("solarName", getSolarName())
            .append("solarRemark", getSolarRemark())
            .append("solarStartdate", getSolarStartdate())
            .append("solarDigest", getSolarDigest())
            .toString();
    }
}
